Bug 1013489 - It is not possible to download an agent from RHQ server (HTTP Status 404)
It is not possible to download an agent from RHQ server (HTTP Status 404)
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Agent, Core Server (Show other bugs)
JON 3.2
Unspecified Unspecified
unspecified Severity urgent
: ER03
: JON 3.2.0
Assigned To: Jirka Kremser
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-30 04:17 EDT by Filip Brychta
Modified: 2014-01-02 15:35 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-02 15:35:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Filip Brychta 2013-09-30 04:17:31 EDT
Description of problem:
After successful installation of RHQ server following link http://xx.xx.xx.xx:7080/agentupdate/download returns HTTP Status 404

Version-Release number of selected component (if applicable):
Version: 3.2.0.ER2
Build Number: 9bf6f76:371eac0

How reproducible:
100%

Steps to Reproduce:
1. ./rhqctl install
2. login 
3. go to Administration->Downloads->Download agent (http://xx.xx.xx.xx:7080/agentupdate/download)

Actual results:
HTTP Status 404

Expected results:
link works

Additional info:
All links on http://xx.xx.xx.xx:7080/downloads/ are broken. (agent, CLI client, bundle deployer,.. )
Comment 1 Thomas Segismont 2013-09-30 04:45:07 EDT
The problem comes from the implementation of BZ1000065. portal-war context has been move from '/' to '/portal' and all the links here have not been updated.

As a workaround, you can add '/portal' in the middle of the broken URLs. For example, turn:
http://localhost:7080/client/download
into:
http://localhost:7080/portal/client/download
Comment 2 Filip Brychta 2013-09-30 08:21:13 EDT
Is it possible to preserve original links? Different agent download link would break our automation.. (i guess not just ours)
Comment 4 Thomas Segismont 2013-09-30 10:26:45 EDT
Fixed 'Downloads' page broken links in master

commit 12317968d83d7ca408b01e7b9715364215fd5907
Author: Thomas Segismont <tsegismo@redhat.com>
Date:   Mon Sep 30 16:23:01 2013 +0200

Re-assigning to Jiri who is looking at how already installed agent will be able to auto-update.
Comment 5 Jirka Kremser 2013-09-30 19:37:58 EDT
Preserving the original paths not to break the existing scripts (as mentioned in comment 2). The servlets responsible for serving the data were moved from portal war module to its own war files.

branch:  master
link:    http://git.fedorahosted.org/cgit/rhq/rhq.git/commit/?id=a91848332
time:    2013-10-01 01:32:50 +0200
commit:  a91848332427bcf365fccece1dcc6805009e68ad
author:  Jirka Kremser - jkremser@redhat.com
message: [BZ 1013489] - It is not possible to download an agent from RHQ server
         (HTTP Status 404) - Introducing three new simple wars for
         handling the "/agentupdate/{download|version}",
         "/client/{download|version}" and "/downloads/*". Besides fixing
         this bug, this commit should help to remove portal war in the
         future.
Comment 6 Simeon Pinder 2013-10-08 03:41:33 EDT
Moving to ON_QA for testing.
Comment 7 Libor Zoubek 2013-10-08 07:38:12 EDT
verified on ER3

Note You need to log in before you can comment on or make changes to this bug.